IPBORI(1)

NAME
ipbori - An Interactive PolyBoRi Shell

SYNOPSIS
ipbori [ -ipythonprefix prefix ] [ ipython-options ]

DESCRIPTION
An interactive IPython shell for interfacing with the PolyBoRi framework. It offers full support of specialized data structures as well as C/C++- and Python-based algorithms for treating polynomials over Boolean rings.

OPTIONS

-ipythonprefix
    This options allows to select a path for the IPython executable in the case of multiple IPython installations.

    Alternatively, the environment variable IPYTHONPREFIX may be set accordingly.

In addition IPython options may be added to the command line.

ENVIRONMENT

IPYTHONPREFIX
    Defines a path for the IPython executable. It can be overwritten by the -ipythonprefix option.

BACKGROUND
The core of PolyBoRi is a C++ library, which is wrapped and extended by a Python interface. Essentially, ipbori calls IPython together with a profile for using PolyBoRi's python interface. It can be used as a special purpose computer-algebra system for computation with polynomials over Boolean rings. In ipbori a global ring is already predefined and a set of variables called x(0), ..., x(9999). The default ordering is lexicographical ordering (lp).

For more details, see the PolyBoRi documentation. In particular, have a look at the tutorial, the doxygen part for the core library, and pythondoc part for the high-level routines.

AUTHOR
The PolyBoRi framework was created by The PolyBoRi Team <polybori@mfo.de>, consisting of Michael Brickenstein <brickenstein@mfo.de> (high-level algorithms, primary designer) and Alexander Dreyer <alexander.dreyer@itwm.fraunhofer.de> (low-level routines, project infrastructure, and this man page).

SEE ALSO
IPYTHON(1)